//=========================================================
// H8SX/1655 Project
//=========================================================
// File Name : config.h
// Function  : Configure Program Options
//---------------------------------------------------------
// Rev.01 2009.08.13 Takanaga Yamazaki
//---------------------------------------------------------
// Copyright (C) 2009, 2010 Takanaga Yamazaki
//=========================================================
// ---- License Information -------------------------------
// Anyone can FREELY use this code fully or partially
// under conditions shown below.
// 1. You may use this code only for individual purpose,
//    and educational purpose.
//    Do not use this code for business even if partially.
// 2. You should use this code under the GNU GPL.
// 3. You should remain this header text in your codes
//   including Copyright credit and License Information.
// 4. Your codes should inherit this license information.
//=========================================================
// ---- Patent Notice -------------------------------------
// I have not cared whether this system (hw + sw) causes 
// infringement on the patent, copyright, trademark,
// or trade secret rights of others. You have all 
// responsibilities for determining if your designs
// and products infringe on the intellectual property
// rights of others, when you use technical information
// included in this system for your business.
//=========================================================
// ---- Disclaimers ---------------------------------------
// The function and reliability of this system are not 
// guaranteed. They may cause any damages to loss of
// properties, data, money, profits, life, or business.
// By adopting this system even partially, you assume
// all responsibility for its use.
//=========================================================

#ifndef _CONFIG_H_
#define _CONFIG_H_

//-----------------------------------------------
// If you use GDB STUB, enable following line
//-----------------------------------------------
//#define CONFIG_GDB_STUB_ON

//------------------------------------------------------
// If you use USB for GDB STUB, enable following line
//------------------------------------------------------
//#define CONFIG_GDB_STUB_USB_ON
// ------------------------
//     |  gdb stub | stdio
// ----+-----------+-------
// ON  |  USB      | SCI4
// OFF |  SCI4     | USB
// ------------------------

#endif // _CONFIG_H_

//=========================================================
// End of Program
//=========================================================
