/*""FILE COMMENT""************************************************************
 *	System Name	: R0K561653D000BR USB DeviceDriver Firmware
 *	File Name	: catprotype.h
 *	Version		: 1.00-070920
 *	Contents	: 
 *	Customer	: 
 *	Model		: 
 *	Order		: 
 *	CPU			: H8SX/1653F
 *	Compiler	: ch38
 *	OS			: None
 *	Programmer	: 
 *	Notes		: 
 *****************************************************************************
 * (C)2004(2006) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION,
 *	 ALL RIGHTS RESERVED.
 *****************************************************************************
 *	History		: xxxx.xx.xx : Ver.0.01 ; Release
 *""FILE COMMENT END""*******************************************************/



#ifndef _CATPROTYPE_H_
#define	_CATPROTYPE_H_

#define CatProType

//#include	<machine.h>
#include    "inlines.h"

#include	"CatTypedef.h"


#ifndef JoinContents
#include	"SetSystemSwitch.h"
#include	"SetMacro.h"
#endif	/*	JoinContents	*/



//extern	enum			PresentStateType;
//extern	enum			SetCompleteType;
//extern	enum			TransModeType;
//extern	enum			DecControlCmdDoneType;


/*	Variables	*/
extern	LinkType			jump[];
extern	unsigned char		writeFifoSizeGVar[];
extern	BuffType			dataBuffGPtr[];
extern	BuffType			contCMDGPtr;
extern	InterruptType		interruptEnableBitsGVar;


extern	ControlType			transStageGPtr;


extern	EpInfoType			EpInfo[];
extern	DeviceType			deviceDiscriptorGVar[];			/*	For device descripter information	*/
extern	ConfigurationType	configurationDiscriptorGVar[];	/*	For configuration descripter infirmation	*/
extern	StringType			stringDiscriptorGVar[];			/*	For string descripter information	*/
extern	unsigned char		End_Point_Infomation[];


extern unsigned char		LineCodingItem[];
extern	DeviceType			LineCodingStructureGVar[];



/* Flags	*/
extern unsigned char		BulkOutEnableFlag;
extern unsigned char		SerialInEnableFlag;



/*	Functions	*/
/*	StartUp.c	*/
/*	extern void			SetPowerOnSection(void);	*/	/*	using #pragma interrupt	*/
extern void				SetOtherSection(void);
extern void				InitMemory(void);
extern void				_INITSCT(void);
extern void				InitSystem(void);
extern void				error(void);
extern void				Set_EPInfoR(unsigned short );



/*	DoSerial.c	*/
extern unsigned char				ActSerialOut(BuffType*);
// extern void				ActSerialIn(void);
extern void				WriteBulkInArea(BuffType*,char);
extern void				ExSerialOut(char);



/*	UsbMain.c	*/
/*	extern void					BranchOfInt(void);	*/		/*	using #pragma interrupt	*/
extern enum 			SetCompleteType SetControlOutContents(ControlType*,BuffType*);
extern void				GetPacket(EpInfoType*,BuffType*);
extern void				PutPacket(EpInfoType*,BuffType*);
extern unsigned short	BE2ByteRead(unsigned char*);
extern unsigned short	LE2ByteRead(unsigned char*);
extern void				SetUsbModule(unsigned long  ,unsigned char );
extern void				ActBusReset(unsigned long  ,unsigned char );
extern void				ActBusVcc(unsigned long  ,unsigned char );
extern void				ActSuspend(void);
extern void				ActUpReg(void);



/*	DoControl.c	*/
extern void				ActControl(unsigned long,unsigned char);
extern void				ActControlIn(unsigned long,unsigned char);
extern void				ActControlOut(unsigned long,unsigned char);
extern void				ActControlInOut(unsigned long,unsigned char);



/*	DoBulk.c	*/
extern void				ActBulkOut(unsigned long,unsigned char);
extern void				ExBulkOut(unsigned long,unsigned char);
extern void				ActBulkIn(void);
extern void				ExBulkIn(void);



/*	DoRequest.c	*/
extern void				DecStandardCommands(void);



/*	DoRequestVenderCommand.c	*/
extern enum	DecControlCmdDoneType			DecVenderCommands(void);



/*	SCI-related	*/
extern void				set_imask_ccr(unsigned char);
extern void				set_imask_exr(unsigned char);
//extern void				sleep(void);


extern UsbBuf	usb_buf;
extern usb_ier	usb_ier_buf;
extern unsigned char	BulkInFlag;

#endif
