/*""FILE COMMENT""************************************************************
 *	System Name	: R0K561653D000BR USB DeviceDriver Firmware
 *	File Name	: setsystemswitch.h
 *	Version		: 1.00-070920
 *	Contents	: 
 *	Customer	: 
 *	Model		: 
 *	Order		: 
 *	CPU			: H8SX/1653F
 *	Compiler	: ch38
 *	OS			: None
 *	Programmer	: 
 *	Notes		: 
 *****************************************************************************
 * (C)2004(2006) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION,
 *	 ALL RIGHTS RESERVED.
 *****************************************************************************
 *	History		: xxxx.xx.xx : Ver.0.01 ; Release
 *""FILE COMMENT END""*******************************************************/

#ifndef _SETSYSTEMSWITCH_H_
#define _SETSYSTEMSWITCH_H_

#define	JoinContents


/*	Select CPU	*/
#define	SET_ENABLE_CPU	1653	/*	Select H8SX/1653		*/


/*	Init Vector type	*/
#define	HARD_VECTOR	/*	Init Vector is Hard	*/
//	#undef	HARD_VECTOR	/*	Init Vector is Soft	*/

/*	Select CPU Frequency	*/
//#define	GoMHz	16				/*	EXTAL Freqency = 16MHz	*/
#define	GoMHz	12				/*	EXTAL Freqency = 12MHz	*/


/* Load PC device driver	*/
#define	USB_COMM_CLASS_DRIVER		0	// usbser.sys
#define	USB_PRINTER_CLASS_DRIVER	1

#define	CLASS	USB_COMM_CLASS_DRIVER		// "USB-Serial " USB communication class PC driver 
//#define	CLASS	USB_PRINTER_CLASS_DRIVER		// "USB-Printer" USB printer class PC driver 

#endif
