/*""FILE COMMENT""************************************************************
 *	System Name	: R0K561653D000BR USB DeviceDriver Firmware
 *	File Name	: dorequestvendercommand.c
 *	Version		: 1.00-070920
 *	Contents	: 
 *	Customer	: 
 *	Model		: 
 *	Order		: 
 *	CPU			: H8SX/1653F
 *	Compiler	: ch38
 *	OS			: None
 *	Programmer	: 
 *	Notes		: 
 *****************************************************************************
 * (C)2004(2006) RENESAS TECHNOLOGY CORPORATION AND RENESAS SOLUTIONS CORPORATION,
 *	 ALL RIGHTS RESERVED.
 *****************************************************************************
 *	History		: xxxx.xx.xx : Ver.0.01 ; Release
 *""FILE COMMENT END""*******************************************************/




#ifndef SysMemMap
#include	"SysMemMap.h"
#endif	/*	SysMemMap	*/

#ifndef CatProType
#include	"CatProType.h"
#endif	/*	CatProType	*/



/*	Prototype	*/
enum	DecControlCmdDoneType				DecVenderCommands(void);



/*	Contents	*/
/***************************************************************************
Function Name	:DecVenderCommands(void)
Working			:Decoding Vender Commands
Return Value	:enum	DecControlCmdDoneType
Modified		:{Author : E.Ondo[2005.Jun.10]}
Modified		:{Author : E.Ondo[2003.Sep.29]}
Modified		:{Author : A.Ikeya[2002.Jun.28]}
Modified		:{Author : T.Sekine[2001.Nov.22]}
Modified		:{Author : T.Sekine[2001.Jul.10]}
Created			:{Author : T.Sekine[2001.Jun.29]}
***************************************************************************/
enum	DecControlCmdDoneType		DecVenderCommands(void) {
#if CLASS == USB_PRINTER_CLASS_DRIVER

	return UNKNOWN_CTRL_COMMAND;

#elif CLASS == USB_COMM_CLASS_DRIVER

	return UNKNOWN_CTRL_COMMAND;

#else

	return UNKNOWN_CTRL_COMMAND;

#endif	/* end USB_PRINTER/COMM_CLASS_DRIVER */

}
